Download it now!
Bug 92448 - CALC: Excel A1 and R1C1 reference syntax can not reference a cell by worksheet names starting with an ASCII digit
Summary: CALC: Excel A1 and R1C1 reference syntax can not reference a cell by workshee...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: All All
: medium minor
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:5.0.1 target:4.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-30 09:25 UTC by HD
Modified: 2016-10-25 19:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Repro.ods (10.45 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-06-30 09:25 UTC, HD
Details
Repro.ods (18.99 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-06-30 09:26 UTC, HD
Details

Note You need to log in before you can comment on or make changes to this bug.
Description HD 2015-06-30 09:25:43 UTC
Created attachment 116947 [details]
Repro.ods

When the "Excel A1" formula and the worksheets name is "single-byte number + Japanese", we can not correctly reference the cell.
As a result of a reference to the cell, "# NAME?" error occurs.

This problem occurs only in the "single-byte number + Japanese".
It does not occur in the case of "single-byte + Japanese" and "Japanese + single-byte number", "Japanese only".

Step
1:Start the LibreOffice
2:Change the sheet name "Sheet1" to "4月"
3:Add "Sheet2"
4:Select the cell A1 of "Sheet2" and enter the "="
5:Click on the B1 cell of "4月" sheet
6:Press the Enter key
7:A1 cell of "Sheet2" is displayed as "#NAME?"

Workaround
Change "single-byte number + Japanese" to "double-byte number + Japanese"

In the case of "single-byte number + Japanese" in Excel A1 environment,
please to be able to correctly sheet reference.

Best Regards.
Comment 1 HD 2015-06-30 09:26:42 UTC
Created attachment 116948 [details]
Repro.ods
Comment 2 Buovjaga 2015-07-02 13:21:08 UTC
Confirmed.
I'll lower severity a bit, as workaround exists.

Win 7 Pro 64-bit, Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Locale: fi_FI

Version: 5.1.0.0.alpha1+ (x64)
Build ID: 3a6ec53eeeec71312f5ea890689f9c2ee79c2aac
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-01_02:24:40
Locale: fi-FI (fi_FI)
Comment 3 HD 2015-07-13 07:53:34 UTC
"4月" means "April" in English.
In Japan, it is often to use the month to the sheet name.
And, basically,we are using a single-byte numbers.

This issue is an unavoidable issue in the Japanese environment.
Please support by increasing the priority.

Best Regards.
Comment 4 Commit Notification 2015-07-20 23:11:09 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fd3560e0815b547ada7d7f6557857fe3c8678ba

Resolves: tdf#92448 check for numeric '.' only if sheet separator is '.'

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2015-07-20 23:45:24 UTC
Actually not restricted to Digit + Japanese but in Excel reference syntax notation any sheet name starting with an ASCII digit. Note that it can be temporarily worked around during input by enclosing the sheet name in single quotes, e.g. ='4月'!B1

Pending review
https://gerrit.libreoffice.org/17244 for 5-0
https://gerrit.libreoffice.org/17245 for 4-4
Comment 6 Commit Notification 2015-07-21 01:54:22 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=21be4e095056800fc8869868448e005728d1bb65&h=libreoffice-5-0

Resolves: tdf#92448 check for numeric '.' only if sheet separator is '.'

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-08-17 12:32:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d2c83982dac10bcc7f73d87134a20aec945fbc5&h=libreoffice-4-4

Resolves: tdf#92448 check for numeric '.' only if sheet separator is '.'

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.